Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.execsqlrow
Class ExecSQLRowData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.execsqlrow.ExecSQLRowData

All Implemented Interfaces:
  StepDataInterface

    public class ExecSQLRowData

extends BaseStepData
implements StepDataInterface

Since:
  20-jan-2005
Author:
  Matt

Field Summary
`org.pentaho.di.core.database.Database` | `db`
`int` | `indexOfSQLFieldname`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`org.pentaho.di.core.Result` | `result`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`ExecSQLRowData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### db

    public org.pentaho.di.core.database.Database db

### result

    public org.pentaho.di.core.Result result

### indexOfSQLFieldname

    public int indexOfSQLFieldname

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

Constructor Detail

### ExecSQLRowData

    public ExecSQLRowData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD